Subject: Re: visible memory seems wrong in kexec crash dump kernel

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 14 Jul 2013 15:26:24 +1000

On Sun, 2013-07-14 at 14:36 +1000, Michael Ellerman wrote:
> > >Is this expected behaviour? It seems to be the same in current git
> > >versions of kexec-tools.
> > >
> > >On my system I see "/proc/device-tree/memory".
> > >
> > >If I modify add_usable_mem_property() to also accept "/memory" then
> my

This is a bug in your device-tree. The memory node should have a unit
address which corresponds to it's reg property. I know people tend to
skip it for "0" but it's bad practice.

So for memory starting at 0 it should be memory@0

Cheers,
Ben.